<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="utf-8"/>
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"/>
    <meta name="description" content=""/>
    <meta name="author" content=""/>
    <title>Services</title>
    <!-- Favicon-->
    <link rel="icon" type="image/x-icon" href="/static/assets/favicon.ico"/>
    <script th:src="@{/js/jq.js}"></script>
    <!-- Font Awesome icons (free version)-->
    <script th:src="@{https://use.fontawesome.com/releases/v6.3.0/js/all.js}" crossorigin="anonymous"></script>
    <!-- Google fonts-->
    <link href="https://fonts.googleapis.com/css?family=Montserrat:400,700" rel="stylesheet" type="text/css"/>
    <link href="https://fonts.googleapis.com/css?family=Roboto+Slab:400,100,300,700" rel="stylesheet" type="text/css"/>
    <!-- Core theme CSS (includes Bootstrap)-->
    <link th:href="@{/css/styles.css}" rel="stylesheet"/>
    <link rel="stylesheet" type="text/css" href="../static/styles.css" th:href="@{/styles.css}">
</head>
<body id="page-top">
<!-- Navigation-->
<nav th:replace="~{/fragments/navbar :: navbar}">Heather fragment</nav>

<div>
    <form class="login" action="#" th:action="@{${updateUrl}}" th:object="${userDto}" method="post">
        <hr class="my-4"/>
        <h2 class="sub-heading text-center">Edit Profile</h2>
        <br>
        <div class="login__field">
            <label th:text="#{user.label.username}">Username</label>
            <i class="login__icon fas fa-user"></i>
            <input type="text" class="login__input" th:field="*{username}" placeholder="Username">
            <label class="error" th:errors="*{username}">Username errors</label>
        </div>
        <div class="login__field">
            <label th:text="#{user.label.email}">Email</label>
            <i class="login__icon fas fa-user"></i>
            <input type="text" class="login__input" th:field="*{email}" placeholder="Email">
            <label class="error" th:errors="*{email}" th:text="${error}">Email errors</label>
        </div>
        <div class="login__field">
            <label th:text="#{user.label.password}">Password</label>
            <i class="login__icon fas fa-user"></i>
            <input type="text" class="login__input" th:field="*{password}" placeholder="Password">
            <label class="error" th:errors="*{password}" th:text="${error}">Password errors</label>
        </div>
        <div class="login__field">
            <label th:text="#{user.label.names}">Names</label>
            <i class="login__icon fas fa-user"></i>
            <input type="text" class="login__input" th:field="*{names}" placeholder="Names">
            <label class="error" th:errors="*{names}" th:text="${error}">Names errors</label>
        </div>
        <div class="login__field">
            <label th:text="#{user.label.phone}">Phone number</label>
            <i class="login__icon fas fa-user"></i>
            <input type="text" class="login__input" th:field="*{phoneNumber}" placeholder="Phone number">
            <label class="error" th:errors="*{phoneNumber}" th:text="${error}">Phone number errors</label>
        </div>
        <br>
        <div th:if="${isAdmin or isEmployee}">
                <select class="custom-select-wrapper" th:field="*{userRole}" th:placeholder="Role">
                    <option value="ADMINISTRATOR">Administrator</option>
                    <option value="EMPLOYEE">Employee</option>
                    <option value="CUSTOMER">Customer</option>
                </select>
                <br><br>
                <select class="custom-select-wrapper" th:field="*{userStatus}" th:placeholder="Status">
                    <option value="ACTIVE">Active</option>
                    <option value="INACTIVE">Inactive</option>
                </select>
        </div>
        <br>
        <input class="button login__submit" type="submit" value="Edit">
    </form>
</div>

<script th:src="@{https://cdn.jsdelivr.net/npm/bootstrap5.2.3/dist/js/bootstrap.bundle.min.js}"></script>
<!-- Core theme JS-->
<script th:src="@{/js/scripts.js}"></script>
<!-- * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *-->
<!-- * *                               SB Forms JS                               * *-->
<!-- * * Activate your form at https://startbootstrap.com/solution/contact-forms * *-->
<!-- * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *-->
<script th:src="@{https://cdn.startbootstrap.com/sb-forms-latest.js}"></script>
</body>
</html>